/* compatibility stub */
#ifndef __ASM_RT_TIME_H__
#define __ASM_RT_TIME_H__


typedef long long RTIME; /* 8254 ticks */


#ifdef __KERNEL__

#include <linux/time.h>
#include <linux/delay.h>

/* shouldn't this function take RTIME values instead? */
static inline void rt_delay(long units)
{
	units *= 3599;          /* 2**32 / RT_TICKS_PER_SEC */
	__asm__("mull %0"
			:"=d" (units)
			:"a" (units),"0" (loops_per_sec)
			:"ax");

	__delay(units);
}

#endif

#endif
